%define name	motion
%define version 3.2.12
%define release %mkrel 1

Summary:      	Software motion detector
Name: 		%{name}
Version: 	%{version}
Release:	%{release}
Group:	        Video
License: 	GPL
URL: 		http://www.lavrsen.dk/twiki/bin/view/Motion/WebHome
Source: 	http://heanet.dl.sourceforge.net/motion/%{name}-%{version}.tar.gz
BuildRequires:	jpeg-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	mysql-devel
BuildRequires:	postgresql-libs-devel
BuildRoot: 	%{_tmppath}/%{name}-%{version}

%description
Motion is a software motion detector.
It grabs images from video4linux devices and/or from webcams (such as the 
axis network cameras). Motion is the perfect tool for keeping an eye on your
property keeping only those images that are interesting.

%prep
%setup -q

%build
%configure2_5x 
%make

%install
rm -rf %{buildroot}
%makeinstall_std
mv %{buildroot}%{_sysconfdir}/motion-dist.conf %{buildroot}%{_sysconfdir}/motion.conf
rm -Rf %{buildroot}/%_datadir/doc/
%clean
rm -rf %{buildroot}

%files
%defattr (-,root,root)
%doc CHANGELOG COPYING CREDITS FAQ README README.axis_2100 motion_guide.html
%config(noreplace) %{_sysconfdir}/motion.conf
%{_bindir}/motion
%{_mandir}/man1/motion.1*
%{_datadir}/%{name}-%{version}/examples/*




%changelog
* Wed Aug 18 2010 Ahmad Samir <ahmadsamir@mandriva.org> 3.2.12-1mdv2011.0
+ Revision: 571091
- update to 3.2.12

  + Funda Wang <fwang@mandriva.org>
    - rebuild for new libjpeg v8

* Sat Dec 05 2009 Funda Wang <fwang@mandriva.org> 3.2.11.1-2mdv2010.1
+ Revision: 473905
- requires pg

* Sat Dec 05 2009 Funda Wang <fwang@mandriva.org> 3.2.11.1-1mdv2010.1
+ Revision: 473904
- fix spec file

  + Juan Luis Baptiste <juancho@mandriva.org>
    - Updated to 3.2.11.1 and dropped all patches as they're no longer needed.

* Wed Mar 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 3.2.10.1-5mdv2009.1
+ Revision: 348688
- fix format errors
- fix ffmpeg API change
- disable as-needed linker flags

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuilt against mysql-5.1.30 libs

* Mon Sep 08 2008 Buchan Milne <bgmilne@mandriva.org> 3.2.10.1-2mdv2009.0
+ Revision: 282492
- Rebuild for ffmpeg support
- Fix %%install

  + Michael Scherer <misc@mandriva.org>
    - Fix ffmpeg detection
    - update to 3.2.10.1, fix #39302

* Tue Jul 29 2008 Thierry Vignaud <tv@mandriva.org> 3.2.9-3mdv2009.0
+ Revision: 252781
- rebuild

* Sat Mar 01 2008 Michael Scherer <misc@mandriva.org> 3.2.9-1mdv2008.1
+ Revision: 177343
- new version, fix bug 37389
- add url

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Aug 14 2007 Michael Scherer <misc@mandriva.org> 3.2.8-1mdv2008.0
+ Revision: 63433
- new version 3.2.8


* Fri Mar 23 2007 Emmanuel Andry <eandry@mandriva.org> 3.2.7-1mdv2007.1
+ Revision: 148257
- New version 3.2.7
- Import motion

* Tue Feb 28 2006 Spencer Anderson <sdander@mandriva.org> 3.2.4-1mdk
- 3.2.4
- use mkrel

* Thu Apr 28 2005 Olivier Blin <oblin@mandriva.com> 3.1.19-1mdk
- 3.1.19
- new url
- remove obsolete tricks and Patch1
- ship motion-dist.conf as motion.conf
- disable rpath

* Fri Feb 11 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 3.0.7-3mdk
- rpmlint fixes

* Fri Feb 11 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 3.0.7-2mdk
- rebuilt against new mysql libs

